MBS Xojo Conference
6/7th September 2018, Munich

« Xojo Developer Meetin… | Home | MBS Xojo Plugins 18.3… »

Upcoming Xcode changes


When a new version of MacOS and Xcode is coming, one of the first things to read are the release notes. As we support FileMaker and Xojo versions for 10+ years, we tend to have really old minimum system requirements.

As far as we were told, the new Xcode version doesn't build 32-bit code any more. Also Apple highly recommends us to move from libstdc++ to libc++, which implies a MacOS 10.9 minimum.

Now if we as developer of the MBS Plugins would move next year to MacOS 10.15, we would no longer be able to run 32-bit only applications ourselves. This includes all FileMaker versions before 14 and all Xojo versions before 2017r3.

With Xcode 10 on MacOS X 10.14 new plugins can only be 64-bit on MacOS. It may be possible to install Xcode 9 in parallel and keep it for building 32-bit for the next years like we did for years with old Xcode with PPC code.

So be warned that one of the next MBS Plugin releases may be 64-bit only on Mac. Older versions stay available, but if older Xcode 9 would no longer run, we would not be able to build 32-bit.

See also The status of 32-bit and 64-bit macOS apps on Xojo Blog. Xojo may itself only build 64-bit on Mac soon.
16 07 18 - 12:39
No comments

  
Remember personal info?

Emoticons / Textile


Notify:
Hide email:

Small print: All html tags except <b> and <i> will be removed from your comment. You can make links by just typing the url or mail-address.